Gestion des thèmes Angular-Material
===================================
![category](web)
![tag](design)
![tag](angularjs)

Le module Angular-Material possède une gestion de thème qui permet rapidement
de modifier l'ensemble des couleurs de notre application.

Il existe un nombre limité de couleurs disponibles

L'intérêt est que l'ensemble de l'application utilise le même code couleur et
la gestion des dégradés est interne.

la déclaration de l'utilisation d'un thème est réalisé dans le fichier app.js
de la façon suivante

```javascript
// add theme
module.config(function($mdThemingProvider) {
    $mdThemingProvider.theme('default')
        .primaryPalette('green')
        .accentPalette('orange');
});
```

Les palettes que nous pouvons déclarer

- primary
- accent
- warn
- background
